@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@1,100;1,700&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

:root {
    --primary-color: #2d2d2d;
    --tertiary-color: #c49f1a;
    --tertiary-color-lighter: #ebbf22;
    --tertiary-color-lightest: #ffcf21;
    --quaternary-color: #484848;
    --quinary-color: #F1F2F3;
    --senary-color: #8684ff;
    --senary-color-lighter: #afaeff;

    --max-width: 1200px;
}

::selection {
    background-color: var(--quaternary-color);
}

body {
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}





#navbar_main {
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    background-color: var(--quaternary-color);
    z-index: 99;
}

.nav__content {
    max-width: var(--max-width);
    margin: auto;
    padding: 1.5rem 1rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.logo a {
    font-size: 1.5rem;
    font-weight: 600;
    text-decoration: none;
    color: var(--tertiary-color-lighter);
    transition: .3s;
}

.logo a:hover {
    color: var(--tertiary-color-lightest);
}

.checkbox {
    display: none;
}

input {
    display: none;
}

.checkbox i {
    font-size: 2rem;
    color: var(--tertiary-color);
    cursor: pointer;
}

ul {
    display: flex;
    align-items: center;
    gap: 1rem;
    list-style: none;
    transition: left 0.3s;
}

ul li a {
    padding: 0.5rem 1rem;
    border: 2px solid transparent;
    text-decoration: none;
    font-weight: 600;
    color: var(--quinary-color);
    transition: 0.3s;
}

.portfolio_nav {
    color: var(--senary-color);
}

ul li a:hover {
    border-top-color: var(--tertiary-color);
    border-bottom-color: var(--tertiary-color);
    color: var(--tertiary-color);
}

.portfolio_nav:hover {
    border-top-color: var(--senary-color-lighter);
    border-bottom-color: var(--senary-color-lighter);
    color: var(--senary-color-lighter);
} 


@media  (width < 750px) {
    nav .checkbox{
        display: block;
        cursor: pointer;
    }

    ul{
        position: absolute;
        width: 100%;
        height: calc(100vh - 85px);
        left: -100%;
        top: 85px;
        background-color: var(--primary-color);
        flex-direction: column;
        justify-content: center;
        gap: 3rem;
    }

    nav #check:checked ~ ul{
        left: 0;
    }

    ul li a{
        font-size: 1.25rem;
    }
}

